from distutils.core import setup

setup(
    name = "nmapy",
    version = "1.0",
    description = "Notify My Android module/script",
    author = "Dan Hickox",
    author_email = "danhickox@gmail.com",
    url = "http://bitbucket.org/danhickox/nmapy",
    download_url = "http://bitbucket.org/danhickox/nmapy/downloads/nmapy-1.0.tar.gz",
    keywords = [ "notifymyandroid", "NMA" ],
    license = "LGPL",
    platforms = [ "POSIX" ],
    py_modules = [ "nmapy" ],
    scripts = [ "nmapy.py" ],
    classifiers = [
                    "Programming Language :: Python :: 2.6",
                    "Programming Language :: Python :: 2.7",
                    "Programming Language :: Python :: 3",
                    "Development Status :: 5 - Production/Stable",
                    "Topic :: Utilities",
                    "Topic :: System :: Monitoring",
                    "License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)",
                    "Operating System :: POSIX"
                  ],
    long_description = """\
    Notify My Android Module
    ------------------------
    
    Implements the NMA API as
    an importable module or 
    shell script.
    
    from nmapy import Nma
    
    nma = Nma()
    if nma.verify( "apikey" ):
        if not nma.notify( ["apikey1","apikey2"],"application text", "event text",
                    "description text", priority = 1, url = "http://notifymyandroid.com",
                    content_html=True ):
            `handle error`
    
    or as a shell script
    
    ./nmapy.py --help
    
    ./nmapy.py --mode verify --apikey `key`
    ./nmapy.py --mode notify --apikey ( `key`,`key`,etc ) or additional `--apikey` arguments
    
    This version requires a current release of python 2.7 series. 
    
    A second module will be developed for python 3 users.
    """
    )
                    
    